Portable with built-in NET Framework 4.0 does not run on a WINXP system with installed NET Framework 2.0

Issues related to Enigma Virtual Box
Post Reply
MH100181
Posts: 7
Joined: Sun Apr 24, 2011 10:37 pm

Portable with built-in NET Framework 4.0 does not run on a WINXP system with installed NET Framework 2.0

Post by MH100181 » Sat Nov 12, 2022 1:12 am

Good day
I really like your program
It's a pity that saving changes in the sandbox has not been implemented yet, so it has to be used with programs that
store settings in an ini file and the like.
If the future Portable program stores the settings in the registry and changes them, I use them in conjunction with JauntePE, which saves the settings in the vile.

With the absence of scanning, it's somehow easier, Regshot and registry imort help.

There are several bugs in the program that I hope you will fix.

To run this application, you first need to install one of the
following versions.NET Framework:
v4.0.30319
Contact the publisher of your application for instructions on how to obtain the appropriate version .NET Framework.

The most annoying is Portable with built-in NET Framework 4.0 (only the necessary libraries, nothing extra) does not run on a WIN XP system with

installed NET Framework 2.0 ; 3.0 ; 3.5
Due to the presence of two branches in the real registry:

Code: Select all

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NetFramework\Policy\Standards]
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NetFramework\Policy\Standards\Standard CLI 2002]
"v2.0.50727"=dword:00000fff
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NetFramework\Policy\Standards\Standard CLI 2005]
"v2.0.50727"=dword:00000fff
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NetFramework\Policy\Standards\v1.0.0]
"v2.0.50727"=dword:0000c627

And it doesn't matter if these branches are present in the virtual registry, priority is given to the real one

Image

Enigma
Site Admin
Posts: 2761
Joined: Wed Aug 20, 2008 2:24 pm

Re: Portable with built-in NET Framework 4.0 does not run on a WINXP system with installed NET Framework 2.0

Post by Enigma » Sun Nov 13, 2022 6:16 pm

Hi, I'm sorry, but if Windows XP does not have net framework 4.0 installed, only 2.0 is installed, then why the file compiled with FW4.0 should run there? If there is no FW installed that file requires, then it won't run...

Sorry if I did not understand your question correctly. Maybe you can explain it more detailed? And if possible, please send us non packed sample at support@enigmaprotector.com for testing.

MH100181
Posts: 7
Joined: Sun Apr 24, 2011 10:37 pm

Re: Portable with built-in NET Framework 4.0 does not run on a WINXP system with installed NET Framework 2.0

Post by MH100181 » Sun Nov 13, 2022 11:57 pm

Enigma wrote:
Sun Nov 13, 2022 6:16 pm
Hi, I'm sorry, but if Windows XP does not have net framework 4.0 installed, only 2.0 is installed, then why the file compiled with FW4.0 should run there? If there is no FW installed that file requires, then it won't run...

Sorry if I did not understand your question correctly. Maybe you can explain it more detailed? And if possible, please send us non packed sample at support@enigmaprotector.com for testing.
I sent it to your email (I forgot to specify the subject of the letter) Thank you!
----
Отправил вам на почту (забыл указать тему письма) Спасибо!

Version 8.20 works, but the latest one doesn't.
since version 9.0 it no longer works
Image
Image
Image


There is still a bug with Microsoft Runtime Libraries
, but this is another topic, I will write later

Post Reply